Media Center >

ALERT! Heartbleed Flaw

ALERT! Heartbleed Flaw

Many of you have been made aware of a major security flaw that has recently been discovered known as the “Heartbleed” flaw.  The Heartbleed vulnerability is a flaw in OpenSSL which is the open-source encryption standard used by many Web sites to transfer secure data over the Internet.  

Independence Bank customers can rest assured that the Bank’s online services such as Online Banking, Bill Pay, Mobile Banking and Lockbox payments are not affected by this virus for the following reasons. 

  1. The OpenSSL version that the Bank is using is not one of the vulnerable versions to the Heartbleed virus. 
  2. The company that hosts our online banking product does not utilize the affected versions of OpenSSL for the online services we provide to our customers. 
  3. All other online vendors do not utilize affected versions of OpenSSL and rely on Microsoft SSL libraries and therefore are not affected by the vulnerability of the virus. 

If you have additional questions regarding the impact of the Heartbleed vulnerability with regard to Independence Bank’s Web site services, please contact your nearest Independence Bank location at www.1776bank.com/locations